import React, { useState, useEffect } from 'react';
import ReactDOM from 'react-dom';
import { csv, arc, pie } from 'd3';
import { message } from './message';

const csvUrl =
  'https://gist.githubusercontent.com/curran/b236990081a24761f7000567094914e0/raw/cssNamedColors.csv';
const width = 960;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;

const pieArc = arc().innerRadius(0).outerRadius(width);

const App = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    csv(csvUrl).then((dataRes) => {
      setData(dataRes);
    });
  }, []);
const colorPie = pie().value(1)
  return !data ? (
    <pre>Data is: loading </pre>
  ) : (
    <svg width="960" height="500">
      <g transform={`translate(${centerX}, ${centerY})`}>
        {colorPie(data).map((d) => {
          return (
            <path
              d={pieArc(d)}
              fill={d.data['RGB hex value']}
            />
          );
        })}
      </g>
    </svg>
  );
};

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
